A Guide to Installing ColorSchemeEditor for Sublime Text 3

Hello and welcome to my ColorSchemeEditor (referred to here as CSE) installation guide. The task of building and installation is rather complex, so I’ll give the details for Windows, OS X, and Linux here. As far as prerequisites are concerned, if you want to build from scratch you’ll need a recent copy of Python 2.7. OS X users, make sure you install Python from python.org, MacPorts, or Homebrew, as the version of Python included with OS X is not complete, and most likely won’t work for this task. Next, Windows and OS X users will need to install wxPython 2.8 or 2.9 (not 3.0) from here (Windows users, pick either the 32– or 64-bit versions for py27, OS X users pick the Cocoa .dmg file). Linux users, you can install the wxpython or wxgtk packages from your package manager. On Ubuntu, for example, the package is called python-wxgtk2.8. Again, make…

Read more